package fr.velossity.sample.device.impl;

import fr.velossity.sample.device.Measurement;
import fr.velossity.sample.device.eventing.MeasurementHandler;

/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class Consumer implements MeasurementHandler {

	/**
	 * iPOJO injected field.
	 */
	private String identifier;
	
	public Consumer(){
		System.out.println("consumer constructor called for " + identifier);
	}
	
	/**
	 * @see MeasurementHandler#newMeasure(Measurement)
	 */
	public void newMeasure(final Measurement measurement) {
		System.out.println("New measure [" + measurement.getSource().getIdentifier() + "]= " + measurement.getValue() + " " + measurement.getUnit());		
	}

}
